Bug 196167 - update devel/qtcreator to newest release
Summary: update devel/qtcreator to newest release
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-20 21:07 UTC by Tobias Berner
Modified: 2015-01-14 23:09 UTC (History)
0 users

See Also:
rakuco: maintainer-feedback+


Attachments
patch to devel/qtcreator (122.75 KB, patch)
2014-12-20 21:07 UTC, Tobias Berner
no flags Details | Diff
fix plist and install buildoutputparser (85.86 KB, patch)
2014-12-28 13:01 UTC, Tobias Berner
no flags Details | Diff
v3 of the patch (85.37 KB, patch)
2015-01-03 12:18 UTC, Tobias Berner
no flags Details | Diff
use upstream patches (88.31 KB, patch)
2015-01-14 11:26 UTC, Tobias Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Berner 2014-12-20 21:07:46 UTC
Created attachment 150820 [details]
patch to devel/qtcreator

Hi

The attached patch brings devel/qtcreator to the newest release (3.3.0 [1])
(Thanks to rakuco for the help).

I tested the build locally in poudriere with success. Also it seems to run smoothly as far as I can tell from using it for a few minutes...


mfg Tobias

[1] http://blog.qt.digia.com/blog/2014/12/10/qt-creator-3-3-0-released/
Comment 1 Bugzilla Automation freebsd_committer 2014-12-20 21:07:46 UTC
Auto-assigned to maintainer kde@FreeBSD.org
Comment 2 Raphael Kubo da Costa freebsd_committer 2014-12-23 22:35:54 UTC
Thanks for the patch. As it is, it doesn't work; the patches in files/ do not apply anymore but have not been removed, and it fails `make check-plist':

====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: /bin/buildoutputparser
===> Checking for items in pkg-plist which are not in STAGEDIR
===> Error: Plist issues found.

I also think that all those changes to %%DATADIR%% in the plist are not necessary and only make the patch a lot bigger.
Comment 3 Tobias Berner 2014-12-28 13:01:17 UTC
Created attachment 151033 [details]
fix plist and install buildoutputparser

I hope this one is better. 

 #  make check-plist
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
===> No pkg-plist issues found (check-plist)
Comment 4 Raphael Kubo da Costa freebsd_committer 2014-12-30 14:46:31 UTC
Excellent, thanks. It seems to build fine on 11amd64, but it failed on 8.4-i386 because it requires USES=compiler:c++11-lib.

And a few additional questions/items:
* Please add back the seds to gnuplot and ant, as they are still needed. Maybe there are other as well, try grepping for "/usr/bin" in the code base.
* Why did you remove the .desktop file?
* I think the CONFIG="configure" part of QMAKE_ARGS is not necessary. It was added to the port long ago without any explanation.
Comment 5 Tobias Berner 2015-01-03 12:18:55 UTC
Created attachment 151263 [details]
v3 of the patch

ok, now the Desktop-Entry is back, sorry for dropping it. 
I went through the files and check for /usr/bin -- only one file actually gets installed using #!/usr/bin/perl -- fixed using shebanfix.
Further I readded gnuplot/ant post-patch seds (...now with 100% more /bin).
Comment 6 Tobias Berner 2015-01-14 11:26:20 UTC
Created attachment 151616 [details]
use upstream patches

This diff replaces the patch with the one from upstream and adds an other one:
* https://codereview.qt-project.org/#/c/102701/ [new]
* https://codereview.qt-project.org/#/c/102705/ [replaced]
Comment 7 Raphael Kubo da Costa freebsd_committer 2015-01-14 22:57:51 UTC
Thanks for the work. I'll commit your latest version with some small changes:
* You've replaced the tabs in one of the DESKTOP_ENTRIES lines with spaces.
* There's an extra empty line before DESKTOP_ENTRIES and another one before ".include <bsd.port.mk>".
* I'm going to capitalize and end all comments with periods.
* I'll remove a trailing whitespace in the SHEBANG_FILES line.
Comment 8 commit-hook freebsd_committer 2015-01-14 23:02:35 UTC
A commit references this bug:

Author: rakuco
Date: Wed Jan 14 23:01:55 UTC 2015
New revision: 377057
URL: https://svnweb.freebsd.org/changeset/ports/377057

Log:
  Update to 3.3.0.

  A lot of patches can be removed, and the only ones left are backported from
  upstream. The port now uses Qt5 instead of Qt4, and should finally be
  MAKE_JOBS_SAFE.

  Other smaller changes:
  * The paths for gnuplot and ant in the sed calls in the Makefile were wrong,
    and have been fixed.
  * There was no explanation for why "CONFIG+=configure" was required in
    QMAKE_ARGS, so it has been removed.

  Huge thanks to Tobias Berner for working on this and following my picky
  suggestions!

  PR:		196167
  Submitted by:	Tobias C. Berner <tcberner@gmail.com>

Changes:
  head/devel/qtcreator/Makefile
  head/devel/qtcreator/distinfo
  head/devel/qtcreator/files/patch-git-4ee78bf
  head/devel/qtcreator/files/patch-git-6556edf
  head/devel/qtcreator/files/patch-git_ac627bb77
  head/devel/qtcreator/files/patch-src__shared__qbs__src__lib__parser__qmljs.g
  head/devel/qtcreator/files/patch-src__shared__qbs__src__lib__parser__qmljsparser_p.h
  head/devel/qtcreator/pkg-plist